Bug 818769 - Review Request: mingw-orc - Cross compiled Oil Run-time Compiler
Review Request: mingw-orc - Cross compiled Oil Run-time Compiler
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Cronenworth
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 812575
  Show dependency treegraph
 
Reported: 2012-05-03 18:25 EDT by Marc-Andre Lureau
Modified: 2012-05-26 03:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 03:57:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mike: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
updated spec (3.52 KB, text/x-rpm-spec)
2012-05-06 19:50 EDT, Marc-Andre Lureau
no flags Details

  None (edit)
Description Marc-Andre Lureau 2012-05-03 18:25:01 EDT
Spec URL: http://elmarco.fedorapeople.org/mingw-orc.spec
SRPM URL: http://elmarco.fedorapeople.org/mingw-orc-0.4.16-1.fc17.src.rpm
Description:
Orc is a library and set of tools for compiling and executing
very simple programs that operate on arrays of data.  The "language"
is a generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.
Comment 1 Michael Cronenworth 2012-05-04 23:36:07 EDT
Taking for review.

Please move your %{?mingw_debug_package} line to after your mingw32/64 package declarations as the debug macro takes over the %{summary} line.

Please list the binaries out in your %files section without using wildcards.
Comment 2 Marc-Andre Lureau 2012-05-06 19:50:17 EDT
Created attachment 582514 [details]
updated spec
Comment 3 Michael Cronenworth 2012-05-06 21:36:13 EDT
$ md5sum ~/rpmbuild/SOURCES/orc-0.4.16.tar.gz 
e482932e544c847761449b106ecbc483  /home/michael/rpmbuild/SOURCES/orc-0.4.16.tar.gz
$ wget --quiet http://code.entropywave.com/download/orc/orc-0.4.16.tar.gz -O - | md5sum
e482932e544c847761449b106ecbc483  -

$ rpmlint SPECS/mingw-orc.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint SRPMS/mingw-orc-0.4.16-1.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint RPMS/noarch/mingw64-orc-0.4.16-1.fc16.noarch.rpm RPMS/noarch/mingw64-orc-compiler-0.4.16-1.fc16.noarch.rpm 
mingw64-orc-compiler.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ OK
! Needs to be looked into
/ Not applicable

[+] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[+] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[+] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, or %mingw_cmake_kde4
    to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[/] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[+] Requires of the binary mingw32 and mingw64 packages are equal

The rpmlint warning about no docs can be ignored as the subpackage depends on the main package.

Looks good. Approved!
Comment 4 Marc-Andre Lureau 2012-05-07 06:20:10 EDT
New Package SCM Request
=======================
Package Name: mingw-orc
Short Description: Cross-compiled Oil Run-time Compiler
Owners: elmarco epienbro rjones kalev
Branches: f17
InitialCC:
Comment 5 Gwyn Ciesla 2012-05-07 08:33:06 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-05-07 09:43:38 EDT
mingw-orc-0.4.16-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-orc-0.4.16-1.fc17
Comment 7 Fedora Update System 2012-05-07 18:26:03 EDT
mingw-orc-0.4.16-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-05-26 03:57:39 EDT
mingw-orc-0.4.16-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.